
#ifdef        GLOBALS_API_RTC
    #define   EXTERN_API_RTC


#else
    #define   EXTERN_API_RTC     extern
#endif
#ifndef API_RTC_H_
#define API_RTC_H_
EXTERN_API_RTC INT8U           Charge_Timer;
EXTERN_API_RTC INT8U           Charge_CheckTimer;

        
        EXTERN_API_RTC    interrupt   void      Api_RTC_isr(void);
        EXTERN_API_RTC                void      API_ClockGenerate(void);
        EXTERN_API_RTC                void      API_SetTimer10(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver10(ClockType *T);         
        EXTERN_API_RTC                void      API_SetTimer9(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver9(ClockType *T);          
        EXTERN_API_RTC                void      API_SetTimer8(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver8(ClockType *T);        
        EXTERN_API_RTC                void      API_SetTimer7(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver7(ClockType *T);         
        
        EXTERN_API_RTC                void      API_SetTimer5(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver5(ClockType *T);  
        EXTERN_API_RTC                void      API_SetTimer4(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver4(ClockType *T); 
        EXTERN_API_RTC                void      API_SetTimer3(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver3(ClockType *T);                     
        EXTERN_API_RTC                void      API_SetTimer2(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver2(ClockType *T);
        EXTERN_API_RTC                void      API_SetTimer1(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver1(ClockType *T);
        EXTERN_API_RTC                void      API_SetTimer0(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     API_TimerOver0(ClockType *T);
        
        EXTERN_API_RTC                void      Api_SetFuelTimer(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     Api_FuelTimerOver(ClockType *T); 
        
        EXTERN_API_RTC                void      Api_SetFuel_1Timer(INT16U Second,ClockType *T);
        EXTERN_API_RTC                INT8U     Api_Fuel_1TimerOver(ClockType *T);                 
#endif /* API_RTC_H_ */